//
//  MainMenuView.swift
//  DouShouQi_App
//
//  Created by Nathan Verdier on 26/05/2024.
//

import SwiftUI
import _SpriteKit_SwiftUI

struct MainMenuView: View {
    var gameScene : GameScene = GameScene(size: CGSize(width: 600, height: 600))
    var body: some View {
        VStack {
            TopGameBoard().frame(maxHeight: 200)
            SpriteView(scene: gameScene).frame(width: 950, height: 600)
        }
    }
}

struct MainMenuView_Previews: PreviewProvider {
    static var previews: some View {
        MainMenuView()
    }
}
